include:
  - https://gitlab.com/ubports/porting/community-ports/halium-generic-adaptation-build-tools/-/raw/main/gsi-port-ci.yml

variables:
  ROOTFS_URL: "https://ci.ubports.com/job/focal-hybris-rootfs-arm64/job/master/lastSuccessfulBuild/artifact/ubuntu-touch-android9plus-rootfs-arm64.tar.gz"
  OTA_CHANNEL: "20.04/arm64/android9plus/devel"

image: ubuntu:20.04

build:
  rules:
   - when: never

flashable:
  rules:
   - when: never

devel-flashable:
  rules:
   - when: never

build-amar-row-wifi:
  tags: [ubports]
  extends: build
  before_script:
    - ln -sf deviceinfo-amar-row-wifi deviceinfo
  rules:
   - if: $CI_PIPELINE_SOURCE == "push"

build-amar-row-lte:
  tags: [ubports]
  extends: build
  before_script:
    - ln -sf deviceinfo-amar-row-lte deviceinfo
    - cp recovery_amar_row_lte.img overlay/system/usr/share/halium-overlay/vendor/etc/recovery.img
  rules:
   - if: $CI_PIPELINE_SOURCE == "push"

devel-flashable-amar-row-wifi:
  tags: [ubports]
  extends: [devel-flashable]
  needs: [build-amar-row-wifi]
  before_script:
    - ln -sf deviceinfo-amar-row-wifi deviceinfo
  rules:
   - if: $CI_PIPELINE_SOURCE == "push"
  allow_failure: true


devel-flashable-amar-row-lte:
  tags: [ubports]
  extends: [devel-flashable]
  needs: [build-amar-row-lte]
  before_script:
    - ln -sf deviceinfo-amar-row-lte deviceinfo
    - cp recovery_amar_row_lte.img overlay/system/usr/share/halium-overlay/vendor/etc/recovery.img
  rules:
   - if: $CI_PIPELINE_SOURCE == "push"
  allow_failure: true

